package cn.reghao.devops.web.mgr.app.model.vo;

import cn.reghao.devops.web.mgr.app.model.po.config.AppConfig;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * @author reghao
 * @date 2024-07-28 18:04:55
 */
@NoArgsConstructor
@Getter
public class AppConfigVO {
    private int id;
    private String appId;
    private String appName;
    private String appType;
    private String env;
    private String appRepo;
    private String repoBranch;
    private boolean enabled;
    private String projDirname;
    private String appRootPath;
    private String bindPorts;
    private int total;

    public AppConfigVO(AppConfig appConfig, int total) {
        this.id = appConfig.getId();
        this.appId = appConfig.getAppId();
        this.appName = appConfig.getAppName();
        this.appType = appConfig.getAppType();
        this.repoBranch = appConfig.getRepoBranch();
        this.bindPorts = appConfig.getBindPorts();
        this.total = total;
    }
}
